r-base (4.6.1-4) unstable; urgency=medium

  * debian/patches/skip_Rd2HTML_section: Comment a section of manual page
    invoking Sys.time() three times

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 08 Aug 2026 10:50:02 -0500

r-base (4.6.1-3) unstable; urgency=medium

  * debian/patches/override-build-time-in-Rd2HTML.Rd: Use PKG_BUILT_TIME,
    if given, over calling Sys.time() for a reproducible build

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 07 Aug 2026 16:55:17 -0500

r-base (4.6.1-2) unstable; urgency=medium

  * debian/rules: Call make consistently with PKG_BUILT_STAMP
  * debian/patches/tools_pkg_calls_mkdesc: Patch Makefile.in for tools
    to call mkdesc to use PKG_BUILT_STAMP

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Aug 2026 07:57:18 -0500

r-base (4.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Jun 2026 06:57:26 -0500

r-base (4.6.0-5) unstable; urgency=medium

  * debian/control: Refine two breaks for r-base-core, add another

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 May 2026 07:08:34 -0500

r-base (4.6.0-4) unstable; urgency=medium

  * debian/control: Set three breaks for r-base-core

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 May 2026 08:51:10 -0500

r-base (4.6.0-3) unstable; urgency=medium

  * debian/rules: Ensure LIBR_LDFLAGS is empty when calling 'make install'
    which prevent extra spillage into libR.pc		(Closes: #1126018)
  * debian/Renviron.site: No longer set R_LIBS_SITE here as Renviron already
    sets it via the regularly applied patch		(Closes: #1135944)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 May 2026 12:57:51 -0500

r-base (4.6.0-0.2204.0) jammy; urgency=medium

  * Local build for Ubuntu 22.04 "jammy"

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 May 2026 10:53:22 -0500

r-base (4.6.0-2) unstable; urgency=medium

  * debian/patches/alter_sed_call: Added, now also BTS 19060 merged upstream

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Apr 2026 07:13:08 -0500

r-base (4.6.0-0.2604.2) resolute; urgency=medium

  * debian/patches/alter_sed_call: Added a Ubuntu 26.04 special

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Apr 2026 14:08:48 -0500

r-base (4.6.0-0.2604.1) resolute; urgency=medium

  * PPA build for Ubuntu 26.04 "resolute"

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Apr 2026 12:37:07 -0500

r-base (4.6.0-0.2404.1) noble; urgency=medium

  * PPA build for Ubuntu 24.04 "noble"

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Apr 2026 17:48:23 -0500

r-base (4.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Apr 2026 05:00:39 -0500

r-base (4.5.3.20260417-1) unstable; urgency=medium

  * First rc release (svn r89909) of R 4.6.0 to be released April 24

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Apr 2026 07:22:09 -0500

r-base (4.5.3.20260410-1) unstable; urgency=medium

  * First beta release (svn r89857) of R 4.6.0 to be released April 24

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Apr 2026 07:06:16 -0500

r-base (4.5.3.20260404-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: (Closes: #1132431)
    + Drop toolchain dependencies satisfied in oldoldstable.
    + Let dpkg's buildtools.mk initialize tool variables.
    + Prefer standard tool variable names over custom ones.
    + Pass --build/--host to configure.

  [ Dirk Eddelbuettel ]
  * First alpha release (svn r89789) of R 4.6.0 to be released April 24
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 04 Apr 2026 09:38:29 -0500

r-base (4.5.3-0.2404.1) noble; urgency=medium

  * PPA build for Ubuntu 24.04 "noble"

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Mar 2026 07:09:46 -0500

r-base (4.5.3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version
  * debian/watch: Update to version 4
  * debian/control: Removed '!kfreebsd-any' from depends for jdk packages
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Mar 2026 06:42:01 -0500

r-base (4.5.2-0.2404.1) noble; urgency=medium

  * PPA build for Ubuntu 24.04 "noble"

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 31 Oct 2025 06:47:11 -0500

r-base (4.5.2-1) unstable; urgency=medium

  * New upstream release

  * debian/rules: No longer install r-cran.mk 		(Closes: #1115923)
  * debian/control: No longer suggest mozilla along with www-browser
  							(Closes: #1118119)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 31 Oct 2025 06:00:34 -0500

r-base (4.5.1-0.2404.1) noble; urgency=medium

  * PPA build for Ubuntu 24.04 "noble"

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Jun 2025 07:07:46 -0500

r-base (4.5.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Homepage field to https, using capital-R per
    request of upstream

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Jun 2025 05:06:44 -0500

r-base (4.5.0-3) unstable; urgency=medium

  * debian/control: Update Breaks: for r-base-core to aid the transition
    of this 4.5.0 release to the upcoming 'trixie' release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Apr 2025 16:56:39 -0500

r-base (4.5.0-2) unstable; urgency=medium

  * debian/control: Add libzstd-dev to Depends of r-base-dev 

  * debian/patches/libjvm.so-for-zero-build.patch: Support additional JDK
    location needed on loong64
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 17 Apr 2025 07:00:09 -0500

r-base (4.5.0-0.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 "noble"

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Apr 2025 07:06:00 -0500

r-base (4.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Apr 2025 06:44:43 -0500

r-base (4.4.3-1) unstable; urgency=medium

  * New upstream release

  * debian/r-cran.mk: No longer reference simple-patchsys.mk (Closes: #1089835)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Feb 2025 06:35:07 -0600

r-base (4.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 31 Oct 2024 07:26:21 -0500

r-base (4.4.1-3) unstable; urgency=medium

  * src/library/utils/R/tar.R: Apply upstream patch to deal more
    gracefully with symlinks in tar archives
  * debian/patches/r_4_4_x_tar_archive_symlink: Idem, to be removed in the
    next release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Sep 2024 15:12:40 -0500

r-base (4.4.1-2) unstable; urgency=medium

  * debian/control: Applied patch by Samuel Thibault so also exclude Java
    on hurd-amd64 via hurd-any			(Closes: #1077943, #1080038)
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Aug 2024 17:39:39 -0500

r-base (4.4.1-0.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 "noble"

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Aug 2024 10:02:20 -0500

r-base (4.4.1-0.2310.0) mantic; urgency=medium

  * PPA build for Ubuntu 23.10 "mantic"

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 16 Jun 2024 17:14:00 -0500

r-base (4.4.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version
  
  * debian/rules: Use 'dpkg-buildflags --get CXXFLAGS' instead 'CFLAGS' to
    avoid one setting that is otherwise upsetting g++

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 14 Jun 2024 04:48:40 -0500

r-base (4.4.0-2) unstable; urgency=medium

  * debian/control: Add libdeflate-dev to Depends of r-base-dev (Closes: #1069842)
  * debian/control: Change pkg-config to pkgconf in Depends of r-base-dev [lintian]

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Apr 2024 08:46:14 -0500

r-base (4.4.0-0) mantic; urgency=medium

  * PPA build for Ubuntu 23.10 "mantic"

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Apr 2024 06:06:45 -0500

r-base (4.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Apr 2024 05:45:25 -0500

r-base (4.3.3.20240416-1) mantic; urgency=medium

  * PPA build for Ubuntu 23.10 "mantic"

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Apr 2024 07:11:35 -0500

r-base (4.3.3.20240416-1) experimental; urgency=medium

  * First beta release (svn r86441) of R 4.4.0 to be released April 24

  * Upload into experimental for easier tests, not expecting any API changes

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Apr 2024 21:10:29 -0500

r-base (4.3.3.20240409-1) experimental; urgency=medium

  * First beta release (svn r86391) of R 4.4.0 to be released April 24

  * Upload into experimental for easier tests, not expecting any API changes

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Apr 2024 14:58:53 -0500

r-base (4.3.3-3) unstable; urgency=medium

  * debian/control: Add libtirpc-dev to Depends for r-base-dev too
							(Closes: #1066403) 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Mar 2024 13:57:18 -0500

r-base (4.3.3-2) unstable; urgency=medium

  * debian/control: Add libtirpc-dev to Build-Depends to fix build issue
    from side effects of t64 transition			(Closes: #1065216)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Mar 2024 08:54:45 -0600

r-base (4.3.3-1.2310.0) mantic; urgency=medium

  * PPA build for Ubuntu 23.10 "mantic"

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Feb 2024 06:51:03 -0600

r-base (4.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Feb 2024 06:48:45 -0600

r-base (4.3.2-1.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 "lunar"

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Oct 2023 20:39:37 -0500

r-base (4.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Oct 2023 06:36:03 -0500

r-base (4.3.1-4.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 "lunar"

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Aug 2023 16:56:56 -0500

r-base (4.3.1-4) unstable; urgency=medium

  * debian/rules: Correct setting for i386 to always append flags

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Aug 2023 09:58:54 -0500

r-base (4.3.1-3.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 "lunar"

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Jul 2023 14:33:06 -0500

r-base (4.3.1-3) unstable; urgency=medium

  * debian/control: Update Breaks: 			(Closes: #1040001)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Jul 2023 14:13:20 -0500

r-base (4.3.1-2.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 "lunar"

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Jul 2023 07:03:48 -0500

r-base (4.3.1-2) unstable; urgency=medium

  * debian/rules: Omit debug info on 32-bit OSs to avoid memory limits
    affecting eg rstan (thanks to Adrian Bunk) 		(Closes: #1037439)

  * debian/control: Use libcurses-dev in Depends: of r-base-dev as in
    Build-Depends: of package				(Closes: #1040037)

  * debian/control: Add 'r-graphics-engine-${graphics_engine:Version}'
    to the Provides: for r-base-core
  * debian/rules: Compute graphics engine version based on GraphicsEngine.h
  * debian/r-cran.mk: Extract graphics engine version from Provides:
  							(Closes: #1040038)

  * debian/control: Remove no-longer-needed libpcre3-dev entry in
    Build-Depends and in Depends: of r-base-dev 	(Closes: #1040341)

  * debian/control: Remove Provides: and Conflicts: for 'r-gnome (<=
    2.3.1), r-cran-rcompgen (<= 0.1-17-1)' added in 2006

  * debian/control: Remove Replaces:, Provides:, Conflicts: for
    'r-base-latex' added in 2009

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Jul 2023 06:36:26 -0500

r-base (4.3.1-1.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 "lunar"

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 27 Jun 2023 14:37:15 -0500

r-base (4.3.1-0.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 22.04 "jammy"

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jun 2023 11:37:42 -0500

r-base (4.3.1-0.2204.0) jammy; urgency=medium

  * PPA build for Ubuntu 22.04 "jammy"

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 24 Jun 2023 05:54:28 -0500

r-base (4.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Jun 2023 07:08:32 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog r-doc-html`.
